Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezcontact/user/searchsupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: searchsupplier.php 7713 2001-10-09 08:58:34Z jhe $
5 //
6 // Created on: <09-Oct-2001 11:46:44 jhe>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 $ModuleName = "eZ contact";
28 $SearchResult[0]["DetailedSearchPath"] = "/contact/search/company/";
29 $SearchResult[0]["DetailedSearchVariable"] = "SearchText";
30 $SearchResult[0]["DetailViewPath"] = "/contact/company/view/";
31 $SearchResult[0]["IconPath"] = "/design/base/images/icons/document.gif";
32
33 // include_once( "ezcontact/classes/ezcompany.php" );
34
35 $SearchResult[0]["Result"] =& eZCompany::search( $SearchText );
36 $SearchResult[0]["SearchCount"] = count( $SearchResult[0]["Result"] );
37 $SearchResult[0]["SubModuleName"] = "Company";
38
39 $SearchResult[1]["DetailedSearchPath"] = "/contact/search/person/";
40 $SearchResult[1]["DetailedSearchVariable"] = "SearchText";
41 $SearchResult[1]["DetailViewPath"] = "/contact/person/view/";
42 $SearchResult[1]["IconPath"] = "/design/base/images/icons/document.gif";
43
44 // include_once( "ezcontact/classes/ezperson.php" );
45
46 $SearchResult[1]["Result"] =& eZPerson::search( $SearchText );
47 $SearchResult[1]["SearchCount"] = count( $SearchResult[1]["Result"] );
48 $SearchResult[1]["SubModuleName"] = "Person";
49
50 ?>
eZCompany\search
static & search( $query)
Definition: ezcompany.php:386
eZPerson\search
static search( $query)
Definition: ezperson.php:426
$SearchText
$SearchText
Definition: ezaddress/admin/typelist.php:143
$ModuleName
$ModuleName
Definition: ezcontact/user/searchsupplier.php:27
$SearchResult
$SearchResult[0]["DetailedSearchPath"]
Definition: ezcontact/user/searchsupplier.php:28
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.